FROM python:alpine

EXPOSE 80

WORKDIR /app

COPY . .

RUN python3 -m venv venv

RUN venv/bin/pip3 install django==5.0

RUN venv/bin/python3 manage.py migrate

RUN venv/bin/python3 manage.py makemigrations

CMD [ "venv/bin/python3", "manage.py", "runserver", "0.0.0.0:80", "--insecure" ]
